module("plugins.undo.undo");

/*trace 856*/
test('输入文本后撤销按钮不亮',function(){
    var editor = te.obj[0];
    var range = te.obj[1];
    editor.setContent('<p></p>');

    range.setStart(editor.body.firstChild,0).collapse(true).select();
    ua.keydown(editor.body);
    range.insertNode(editor.document.createElement('hello'));
    ua.keyup(editor.body);
   equal (editor.queryCommandState('undo'),0,'模拟输入文本后撤销按钮应当高亮');
});

//test(
//		'undo',
//		function() {
//			var editor = new baidu.editor.Editor({
//				enterkey : 'br',
//				initialContent : 'test'
//			});
//			editor.render(te.dom[0]);
//			var domUtils = baidu.editor.dom.domUtils, dtd = baidu.editor.dom.dtd, range = new baidu.editor.dom.Range(
//					editor.document);
//			editor.setContent('<b>xxxx</b><p>xxxx</p>');
//			range.selectNodeContents(editor.document.body).select();
//			editor.execCommand('bold');
//			editor.execCommand('Undo');
//			equals(getHTML(editor.document.body), '<b>xxxx</b><p>xxxx</p>');
//			editor.execCommand('redo');
//			equals(getHTML(editor.document.body), 'xxxx<p>xxxx</p>');
//			ok(!editor.hasRedo);
//
//			editor.execCommand('Undo');
//			editor.execCommand('Undo');
//			equals(getHTML(editor.document.body), 'test');
//		});